
rem # Please modify the following line to you SDK
rem #   * 9.2 phones:  @S60_3rd_FP1:com.nokia.s60
rem #   * 9.1 phones:  @S60_3rd:com.nokia.s60

devices -setdefault @S60_3rd_FP1:com.nokia.s60

rem # Please modify the following path acording to your SDK install path
rem #   * C:\Symbian\9.1\S60_3rd
rem #   * C:\Symbian\9.2\S60_3rd_FP1

set SDKFOLDER=C:\Symbian\9.2\S60_3rd_FP1
set DRIVE=W:

rem # I unpacked the sources into %SDKFOLDER%\PyS60
set PYS60SRCDIR=PyS60-1_4_4
set PyS60Version=1_4_4
set SDK_VER="Unknown"

rem # CERTIFICATE used to sign the package:
set DEVICE=E51
set SIGNCERT=c:\Symbian\Certs\%DEVICE%.cer
set SIGNKEY=c:\Symbian\Certs\cle-lip6.key
set SIGNPASS=2007

set CAPABILITIES="PowerMgmt ReadDeviceData WriteDeviceData TrustedUI ProtServ SwEvent NetworkServices LocalServices ReadUserData WriteUserData Location SurroundingsDD UserEnvironment"



rem # Path : C:\Symbian\9.2\S60_3rd_FP1\Epoc32\tools;C:\tools\CSLArmToolchain\bin;"C:\Program Files\Common Files\Symbian\Tools";C:\tools\Perl\site\bin;C:\tools\Perl\bin;"C:\Program Files\PC Connectivity Solution\";%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;C:\tools\TortoiseHg;c:\tools\cygwin\bin
rem # c:\tools\cygwin\bin

if exist %DRIVE% subst %DRIVE% /d
subst %DRIVE% %SDKFOLDER%
%DRIVE%
cd %DRIVE%\%PYS60SRCDIR%
set EPOCROOT=\

set CWFolder=C:\Program Files\Nokia\Carbide
rem  #set PATH=C:\Symbian\9.2\S60_3rd_FP1\Epoc32\tools;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Tools\Command_Line_Tools;%PATH%
set PATH=C:\tools\Python25\;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Tools\Command_Line_Tools;%PATH%
set MWCSym2Includes=%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_C\MSL_Common\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_C\MSL_Win32\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_C\MSL_X86;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_C++\MSL_Common\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_Extras\MSL_Common\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_Extras\MSL_Win32\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\Win32-x86 Support\Headers\Win32 SDK
set MWSym2Libraries=%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\Win32-x86 Support\Libraries\Win32 SDK;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\Runtime\Runtime_x86\Runtime_Win32\Libs
set MWSym2LibraryFiles=MSL_ALL_MSE_Symbian_D.lib;gdi32.lib;user32.lib;kernel32.lib;

hg pull
hg up tip

rem # E51 (christophe perso)
set DEVICE=E51
set SIGNCERT=c:\Symbian\Certs\%DEVICE%.cer

set SDK_VER=3rdEdFP1

abld.bat clean gcce urel
python setup.py clean

python setup.py configure 30 SIGN_CERT=%SIGNCERT% SIGN_KEY=%SIGNKEY% SIGN_PASS=%SIGNPASS% SCRIPTSHELL_CAPABILITIES=%CAPABILITIES% LAUNCHER_CAPABILITIES=%CAPABILITIES%
python setup.py build_device
python setup.py build_device gps_location
python setup.py build_device wlantools
python setup.py build_device elocation
rem #python setup.py bdist_sis
makesis wlantools.pkg
makesis gps_location.pkg
makesis elocation.pkg

signsis wlantools.sis wlantools_%DEVICE%.sis %SIGNCERT% %SIGNKEY% %SIGNPASS%
signsis gps_location.SIS gps_location_%DEVICE%.sis %SIGNCERT% %SIGNKEY% %SIGNPASS%
signsis elocation.SIS elocation_%DEVICE%.sis %SIGNCERT% %SIGNKEY% %SIGNPASS%

move %DRIVE%\%PYS60SRCDIR%\wlantools.sis      C:\PyS60_modules\wlantools-PyS60_%PyS60Version%_%SDK_VER%-unsigned.sis
move %DRIVE%\%PYS60SRCDIR%\elocation.SIS      C:\PyS60_modules\elocation-PyS60_%PyS60Version%_%SDK_VER%-unsigned.sis
move %DRIVE%\%PYS60SRCDIR%\gps_location.SIS   C:\PyS60_modules\gps_location-PyS60_%PyS60Version%_%SDK_VER%-unsigned.sis

rem move %DRIVE%\%PYS60SRCDIR%\PythonScriptShell_3rdEd.SIS      %DRIVE%\%PYS60SRCDIR%\PythonScriptShell_%SDK_VER%-%DEVICE%.SIS
rem move %DRIVE%\%PYS60SRCDIR%\PythonForS60_3rdEd.SIS          %DRIVE%\%PYS60SRCDIR%\PythonForS60_%SDK_VER%-%DEVICE%.SIS




rem # 30 OMAP2420
set SDK_VER=3rdEdFP1-OMAP2420

abld.bat clean gcce urel
python setup.py clean

python setup.py configure 30 OMAP2420=1 SIGN_CERT=%SIGNCERT% SIGN_KEY=%SIGNKEY% SIGN_PASS=%SIGNPASS% SCRIPTSHELL_CAPABILITIES=%CAPABILITIES% LAUNCHER_CAPABILITIES=%CAPABILITIES%
python setup.py build_device
python setup.py build_device gps_location
python setup.py build_device wlantools
python setup.py build_device elocation
rem python setup.py bdist_sis
makesis wlantools.pkg
makesis gps_location.pkg
makesis elocation.pkg

move %DRIVE%\%PYS60SRCDIR%\wlantools.sis      C:\PyS60_modules\wlantools-PyS60_%PyS60Version%_%SDK_VER%-unsigned.sis
move %DRIVE%\%PYS60SRCDIR%\elocation.SIS      C:\PyS60_modules\elocation-PyS60_%PyS60Version%_%SDK_VER%-unsigned.sis
move %DRIVE%\%PYS60SRCDIR%\gps_location.SIS   C:\PyS60_modules\gps_location-PyS60_%PyS60Version%_%SDK_VER%-unsigned.sis

c:
subst %DRIVE% /d

echo Please install the following files to the phones :
echo  * PythonForS60
echo  * PythonScriptShell
echo  * wlantools
echo  * gps_location
echo  * elocation
echo  * N95AccelerometerPlugin
echo  * aXYZ
echo
echo
pause
