
rem # Please modify the following line to you SDK
rem #   * 9.2 phones:  @S60_3rd_FP1:com.nokia.s60
rem #   * 9.1 phones:  @S60_3rd:com.nokia.s60

devices -setdefault @S60_3rd_FP1:com.nokia.s60

rem # Please modify the following path acording to your SDK install path
rem #   * C:\Symbian\9.1\S60_3rd
rem #   * C:\Symbian\9.2\S60_3rd_FP1

set SDKFOLDER=C:\Symbian\9.2\S60_3rd_FP1_3

rem # I unpacked the sources into %SDKFOLDER%\PyS60
set PYS60SRCDIR=PyS60

rem # CERTIFICATE used to sign the package:
set SIGNCERT=Z:\code\DevCerts\N95-1.cer
set SIGNKEY=Z:\code\DevCerts\cle-lip6.key
set SIGNPASS=2007

if exist V: subst V: /d
subst V: %SDKFOLDER%
V:
cd V:\%PYS60SRCDIR%
set EPOCROOT=\


set CWFolder=C:\Program Files\Carbide
set PATH=%PATH%;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Tools\Command_Line_Tools
set MWCSym2Includes=%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_C\MSL_Common\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_C\MSL_Win32\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_C\MSL_X86;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_C++\MSL_Common\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_Extras\MSL_Common\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\MSL\MSL_Extras\MSL_Win32\Include;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\Win32-x86 Support\Headers\Win32 SDK
set MWSym2Libraries=%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\Win32-x86 Support\Libraries\Win32 SDK;%CWFolder%\plugins\com.nokia.carbide.cpp.support_1.0.0\Symbian_Support\Runtime\Runtime_x86\Runtime_Win32\Libs
set MWSym2LibraryFiles=MSL_ALL_MSE_Symbian_D.lib;gdi32.lib;user32.lib;kernel32.lib;

if not exist PythonForS60.pkg GOTO ConfigurePy else GOTO BuildPy

:BuildPy
rem # To build the complete PyS60
rem # if you want to include gps_location you will have to edit the following files
rem #  and do some changes on the model of the location module.
rem #   * PythonForS60.pkg.in
rem #   * PythonScriptShell.pkg.in
rem #   * bld.inf.in
rem #   * ext\bld.inf.in
rem python setup.py build_device
rem if errorlevel 1 GOTO DirtyEnd
rem python setup.py bdist_sis
rem if errorlevel 1 GOTO DirtyEnd

rem # To build just gps_location module
python setup.py build_device gps_location
if errorlevel 1 GOTO DirtyEnd
makesis gps_location.pkg
if errorlevel 1 GOTO DirtyEnd
signsis gps_location.SIS gps_location_signed.sis %SIGNCERT% %SIGNKEY% %SIGNPASS%
if errorlevel 1 GOTO DirtyEnd

GOTO :end

:ConfigurePy
python setup.py clean
python setup.py configure 30 SIGN_CERT=%SIGNCERT% SIGN_KEY=%SIGNKEY% SIGN_PASS=%SIGNPASS% SCRIPTSHELL_CAPABILITIES="PowerMgmt ReadDeviceData WriteDeviceData TrustedUI ProtServ SwEvent NetworkServices LocalServices ReadUserData WriteUserData Location SurroundingsDD UserEnvironment" LAUNCHER_CAPABILITIES="PowerMgmt ReadDeviceData WriteDeviceData TrustedUI ProtServ SwEvent NetworkServices LocalServices ReadUserData WriteUserData Location SurroundingsDD UserEnvironment"
GOTO BuildPy

:end
c:
if exist V: subst V: /d
pause

:DirtyEnd


